org.eclipse.rdf4j.sail.inferencer.fc.config

## Class CustomGraphQueryInferencerSchema

- java.lang.Object
- - org.eclipse.rdf4j.sail.inferencer.fc.config.CustomGraphQueryInferencerSchema

-     public class CustomGraphQueryInferencerSchema
      extends Object

  Configuration schema URI's for `CustomGraphQueryInferencer`.
  Author:
    Dale Visser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `MATCHER_QUERY` `http://www.openrdf.org/config/sail/customGraphQueryInferencer#matcherQuery`
    `static String` | `NAMESPACE` The CustomGraphQueryInferencer schema namespace ( `http://www.openrdf.org/config/sail/customGraphQueryInferencer#`).
    `static IRI` | `QUERY_LANGUAGE` `http://www.openrdf.org/config/sail/customGraphQueryInferencer#queryLanguage`
    `static IRI` | `RULE_QUERY` `http://www.openrdf.org/config/sail/customGraphQueryInferencer#ruleQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomGraphQueryInferencerSchema()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The CustomGraphQueryInferencer schema namespace ( `http://www.openrdf.org/config/sail/customGraphQueryInferencer#`).
      See Also:
        Constant Field Values

    - #### QUERY_LANGUAGE

          public static final IRI QUERY_LANGUAGE

      `http://www.openrdf.org/config/sail/customGraphQueryInferencer#queryLanguage`

    - #### RULE_QUERY

          public static final IRI RULE_QUERY

      `http://www.openrdf.org/config/sail/customGraphQueryInferencer#ruleQuery`

    - #### MATCHER_QUERY

          public static final IRI MATCHER_QUERY

      `http://www.openrdf.org/config/sail/customGraphQueryInferencer#matcherQuery`

  - ### Constructor Detail

    - #### CustomGraphQueryInferencerSchema

          public CustomGraphQueryInferencerSchema()

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.